Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Errors Starting Project
Errors Starting Project [message #67862] Fri, 04 April 2008 17:21 Go to next message
Eclipse UserFriend
Originally posted by: chsgrace.hotmail.com

I recently decided to start working with PHP and heard that the eclipse
environment would be a good tool to work in. I am using Fedora eclipse
and have downloaded the eclipse php packages and have php5 installed also.
When trying to start the apache server in the eclipse environment I first
received an error that the php4 libraries were not found. I was able to
fix this by editing
'/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.exter naltools_ <myversionhere>/confs/
httpd.conf' with 'LoadModule php5_module modules/libphp5.so' instead of
php4.

Now I am recieving a new error when I try to start the apache server

"Syntax error on line 1 of -c/-C directives:
ErrorLog takes one argument, The filename of the error log"

When I try and stopping an already running server I receive the error
"Syntax error on line 1 of -c/-C directives:
ErrorLog takes one argument, The filename of the error log
(13)Permission denied: Error retrieving pid file logs/httpd.pid
Remove it before continuing if it is corrupted."

I have browsed the internet looking for someone else with this error and
so far have been unsuccessful. Any ideas on what is going wrong?
Re: Errors Starting Project [message #67887 is a reply to message #67862] Sat, 05 April 2008 10:54 Go to previous message
Eclipse UserFriend
Originally posted by: dkel50.hotnospmail.com

Hi Casey, sorry this forum is for PDT (PHP development Toolkit) and you
are using PHPEclipse which a different PHP development environment for
eclipse. You might want to try www.phpeclipse.de for help or give PDT a
try. You can download PDT from
http://download.eclipse.org/tools/pdt/downloads/

Dave Kelsey


Casey wrote:
> I recently decided to start working with PHP and heard that the eclipse
> environment would be a good tool to work in. I am using Fedora eclipse
> and have downloaded the eclipse php packages and have php5 installed
> also. When trying to start the apache server in the eclipse environment
> I first received an error that the php4 libraries were not found. I was
> able to fix this by editing
> '/usr/share/eclipse/plugins/net.sourceforge.phpeclipse.exter naltools_ <myversionhere>/confs/
>
> httpd.conf' with 'LoadModule php5_module modules/libphp5.so' instead of
> php4.
>
> Now I am recieving a new error when I try to start the apache server
>
> "Syntax error on line 1 of -c/-C directives:
> ErrorLog takes one argument, The filename of the error log"
>
> When I try and stopping an already running server I receive the error
> "Syntax error on line 1 of -c/-C directives:
> ErrorLog takes one argument, The filename of the error log
> (13)Permission denied: Error retrieving pid file logs/httpd.pid
> Remove it before continuing if it is corrupted."
>
> I have browsed the internet looking for someone else with this error and
> so far have been unsuccessful. Any ideas on what is going wrong?
>
Previous Topic:file crashes pdt
Next Topic:Code completion based on @property
Goto Forum:
  


Current Time: Sat Feb 04 03:45:38 GMT 2023

Powered by FUDForum. Page generated in 0.05377 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top